import React from 'react';
import classNames from 'classnames';
import styles from './index.less';

export default ({ className, links, copyright, colorInverse }) => {
  const clsString = classNames(styles.globalFooter, className);
  const copyrightStyle = (colorInverse || false) ? styles.copyrightInverse : styles.copyright;
  const linkStyle = (colorInverse || false) ? styles.linksInverse : styles.links;
  return (
    <div className={clsString}>
      {
        links && (
          <div className={linkStyle}>
            {links.map(link => (
              <a
                key={link.title}
                target={link.blankTarget ? '_blank' : '_self'}
                href={link.href}
              >
                {link.title}
              </a>
            ))}
          </div>
        )
      }
      {copyright && <div className={copyrightStyle}>{copyright}</div>}
    </div>
  );
};
