import React, { PureComponent } from 'react';
import SelectModal from '../../../components/SelectModal';

export default class CampusSelectModal extends PureComponent {
  render() {
    const {
      modalVisible,
      onCancel,
      onOk,
      onSearch,
      ...fsTableOpts
    } = this.props;

    const modalProps = {
      title: '选择校区',
      maskClosable: false,
      visible: modalVisible,
      onCancel,
      onOk,
    };

    const searchProps = {
      searchField: 'name',
      searchKeyWord: '',
      searchSize: 'default',
      searchSelect: true,
      searchSelectOptions: [{
        value: 'name', name: '校区名称', mode: 'input',
      }, {
        value: 'code', name: '校区编号', mode: 'input',
      }],
      searchSelectProps: {
        defaultValue: 'code',
      },
      onSearch: value => onSearch(value),
    };

    const fsTableProps = {
      fsTableColumns: [{
        title: '校区编号',
        dataIndex: 'code',
        key: 'code',
        width: '20%',
      }, {
        title: '校区名称',
        dataIndex: 'name',
        key: 'name',
        width: '53%',
      }, {
        title: '渠道名称',
        dataIndex: 'merchantName',
        key: 'merchantName',
        width: '15%',
      }],
      ...fsTableOpts,
    };

    return (
      <SelectModal
        mode="single"
        {...searchProps}
        {...fsTableProps}
        {...modalProps}
      />
    );
  }
}
