import { stringify } from 'qs';
import request from '../utils/request';
import { cmsUsers, cmsUser } from '../utils/api';

export async function query(params) {
  return request(`${cmsUsers}?${stringify(params)}`);
}

export async function create(params) {
  const options = {
    method: 'POST',
    body: JSON.stringify(params),
  };
  return request(`${cmsUser}`, options);
}

export async function update(params) {
  const options = {
    method: 'PUT',
    body: JSON.stringify(params),
  };
  return request(`${cmsUser}`, options);
}

export async function remove({ id }) {
  const options = { method: 'DELETE' };
  return request(`${cmsUser}/${id}`, options);
}
