import { stringify } from 'qs';
import request from '../utils/request';
import { goods, bundleTag } from '../utils/api';

export async function create(params) {
  const options = {
    method: 'POST',
    body: JSON.stringify(params),
  };
  return request(`${goods}`, options);
}

export async function update(params) {
  const options = {
    method: 'PUT',
    body: JSON.stringify(params),
  };
  return request(`${goods}`, options);
}

export async function remove({ id }) {
  const options = { method: 'DELETE' };
  return request(`${goods}/${id}`, options);
}

export async function bundleTags(params) {
  const options = {
    method: 'PUT',
    body: JSON.stringify(params),
  };
  return request(`${bundleTag}`, options);
}
