import { stringify } from 'qs';
import request from '../utils/request';
import { merchantProducts, merchantProduct, merchantProductCreate, shopCartProducts } from '../utils/api';

export async function query(params) {
  return request(`${merchantProducts}?${stringify(params)}`);
}

export async function queryOne(params) {
  return request(`${merchantProduct}?${stringify(params)}`);
}

export async function queryFromShopCart(params){
  return request(`${shopCartProducts}?${stringify(params)}`);
}

export async function createMerchantProduct(params) {
  const options = {
    method: 'PUT',
    body: JSON.stringify(params),
  };
  return request(`${merchantProductCreate}`, options);
}
