/**
 * 增加或更新用户信息到本地存储
 *
 * @param {object} value [登录接口返回内容]
 */
export function addLocalUser(value) {
  window.localStorage.setItem('PJ@2B#CMS!User', JSON.stringify(value));
}

/**
 * 从本地存储中获取用户信息
 *
 * @return {JSON} [用户信息]
 */
export function getLocalUser() {
  const localUser = window.localStorage.getItem('PJ@2B#CMS!User');
  if (localUser && localUser !== 'undefined') {
    return JSON.parse(localUser);
  }
  return {};
}

/**
 * 从本地存储中获取token信息
 *
 * @return {string} [token信息]
 */
export function getLocalToken() {
  const localUser = window.localStorage.getItem('PJ@2B#CMS!User');
  if (localUser && localUser !== 'undefined') {
    return JSON.parse(localUser).token;
  }
}
